Show / Hide Table of Contents

# Class LibcFunction

This class handles creating cstrings utilizing native game methods.

##### Inheritance

System.Object
LibcFunction

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Libc

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class LibcFunction

### Constructors

| Improve this Doc View Source

#### LibcFunction()

Initializes a new instance of the LibcFunction class.

##### Declaration

    public LibcFunction()

### Methods

| Improve this Doc View Source

#### NewString(Byte[])

Create a new string from the given bytes.

##### Declaration

    public OwnedStdString NewString(byte[] content)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte[] | content | The bytes to convert.

##### Returns

Type | Description
--- | ---
OwnedStdString | An owned std string object.

| Improve this Doc View Source

#### NewString(String, Encoding)

Create a new string form the given bytes.

##### Declaration

    public OwnedStdString NewString(string content, Encoding encoding = null)

##### Parameters

Type | Name | Description
--- | --- | ---
System.String | content | The bytes to convert.
System.Text.Encoding | encoding | A non-default encoding.

##### Returns

Type | Description
--- | ---
OwnedStdString | An owned std string object.